Bug 165741 - acct does not have Large File Support
Summary: acct does not have Large File Support
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Staubach
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168429 170002
TreeView+ depends on / blocked
 
Reported: 2005-08-11 17:54 UTC by Peter Staubach
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 19:32:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (463 bytes, patch)
2005-08-15 14:58 UTC, Peter Staubach
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description Peter Staubach 2005-08-11 17:54:31 UTC
+++ This bug was initially created as a clone of Bug #165006 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323
Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
acct() does not have Large File support. If acct() input file is larger than
2GBs,  acct() does not start process accounting. 

Version-Release number of selected component (if applicable):
kernel-2.4.21-32.EL.ppc64pseries

How reproducible:
Always

Steps to Reproduce:
1. use acct() system call with >2GBs input file. 
2.
3.
  

Actual Results:  accton: File too large

process accounting does not start

Expected Results:  process accounting starts

Additional info:

Ernie Petrides's comment:
I believe the handling for the acct() system call within the kernel needs
to add the O_LARGEFILE flag into the 2nd argument in the call to the
filp_open() function from the sys_acct() function (in kernel/acct.c) to
avoid SIGXFSZ signals being sent to commands while accounting is enabled
and the accounting file has exceeded 2 GBs in size.

Comment 1 Peter Staubach 2005-08-15 14:58:24 UTC
Created attachment 117752 [details]
Proposed patch

Comment 2 Peter Staubach 2005-08-26 14:28:33 UTC
The changes are as Ernie has suggested.

Comment 7 Red Hat Bugzilla 2006-03-07 19:32:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.